zoneminder (1.36.12+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * README: added example of ZM_DB_HOST value for local DB connection.
    Thanks, Petter Reinholdtsen.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 16 Dec 2021 22:50:24 +1100

zoneminder (1.36.11+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 19 Nov 2021 11:53:07 +1100

zoneminder (1.36.10+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 07 Nov 2021 18:18:21 +1100

zoneminder (1.36.7+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * README: added example how to create a user on MySQL8 (Closes: #970906).
    Thanks, Gianfranco Costamagna.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 16 Sep 2021 03:16:18 +1000

zoneminder (1.36.5+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends += "libvncserver-dev".
  * Build-Depends: libavresample-dev --> libswresample-dev (Closes: #971324).
  * Removed dependency on "cakephp" in favour of bundled (private) "cakephp".
  * README: updated required MySQL privileges.
  * service: After/Wants=remote-fs.target
  * service: After/Wants=local-fs.target; init: require "$local_fs".
  * service: After=time-sync.target; init: require "$time".
  * service: Wants=fcgiwrap.service
  * Standards-Version: 4.6.0.
  * "/var/run" --> "/run".
  * Synchronised "logrotate" settings with upstream.
  * Install reference "zm.conf" and add API troubleshooting notes.
  * nginx: updated sample config with fix for "/zm/api".
  * nginx: added CSS override for the "/zm/api" page.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 01 Sep 2021 21:58:52 +1000

zoneminder (1.34.23-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 31 Jan 2021 14:53:47 +1100

zoneminder (1.34.21-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 22 Sep 2020 23:04:16 +1000

zoneminder (1.34.16-2) unstable; urgency=medium

  * "fonts-glewlwyd" --> "fonts-glyphicons-halflings" (Closes: #962886).

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 13 Jul 2020 15:52:02 +1000

zoneminder (1.34.16-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 11 Jun 2020 15:50:57 +1000

zoneminder (1.34.15-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 27 May 2020 00:46:01 +1000

zoneminder (1.34.14-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 17 May 2020 22:01:40 +1000

zoneminder (1.34.11-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 04 May 2020 08:22:55 +1000

zoneminder (1.34.9-1) unstable; urgency=medium

  * New upstream release.
  * Rules-Requires-Root: no.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 05 Apr 2020 18:25:22 +1000

zoneminder (1.34.8-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.5.0.
  * README.Debian.security: declared limited support behind an
    authenticated HTTP zone (Closes: #922724).
    Thanks, Moritz Muehlenhoff.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 28 Mar 2020 15:41:35 +1100

zoneminder (1.34.6-1) unstable; urgency=medium

  * New upstream release.
    + fixed CVE-2019-13072
    + fixed CVE-2019-6777
  * Depends += "libnumber-bytes-human-perl" (Closes: #942378).
    Thanks, Brad Barnett.
  * Corrected build-indep target (Closes: #951600).
    Thanks, Robie Basak.
  * DH to version 12.
  * Depends:
    + libcrypt-eksblowfish-perl
    + libdata-entropy-perl
  * Build-Depends:
    + libjwt-gnutls-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 11 Mar 2020 11:02:43 +1100

zoneminder (1.32.3-2) unstable; urgency=high

  * Upload to unstable.
  * New upstream patches:
    + CVE-2019-6777 (Closes: #920375).
    + CVE-2019-6992 (Closes: #920999).
    + CVE-2019-6991 (Closes: #921000).
    + CVE-2019-6990 (Closes: #921001).
    + Fix for "image size is not multiples of 12 and 64".
  * Removed broken symlink (Closes: #915681).
  * Standards-Version: 4.3.0.
  * Build-Depends:
    - libmp4v2-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 11 Feb 2019 13:00:00 +1100

zoneminder (1.32.3-1) experimental; urgency=medium

  * New upstream release.
  * Default to ZM_PATH_ARP="/bin/ip neigh"

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 13 Dec 2018 10:57:50 +1100

zoneminder (1.32.2-1) experimental; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 14 Oct 2018 17:29:55 +1100

zoneminder (1.32.1-3) experimental; urgency=medium

  * Another attempt to fix FTBFS on [armel] by new patch from upstream.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 13 Oct 2018 12:25:52 +1100

zoneminder (1.32.1-2) experimental; urgency=medium

  * New patch to fix API import paths.
  * New upstream patch to fix FTBFS on [armel].

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 11 Oct 2018 13:52:34 +1100

zoneminder (1.32.1-1) experimental; urgency=medium

  * New upstream release.
  * Build-Depends:
    + libavresample-dev
    + libmp4v2-dev
    + libx264-dev
  * Depends:
    + php-json
    - policykit-1
  * Suggests += "policykit-1".

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 09 Oct 2018 11:54:51 +1100

zoneminder (1.30.4+dfsg1-5) unstable; urgency=medium

  * Suggests += net-tools
    "net-tools" provides "arp" utility used for probing of network cameras.
  * New upstream patch to fix applying detected camera info.
  * New patch to fix detection of network cameras.
  * New patch to fix FTBFS with FFmpeg 4.0 (Closes: #904267)
    Thanks, James Cowgill.
  * copyright info for "web/includes/csrf/*".
  * libjson-any-perl --> libjson-maybexs-perl.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 23 Jul 2018 16:02:06 +1000

zoneminder (1.30.4+dfsg1-4) unstable; urgency=medium

  * New patch to fix user language setting (Closes: #858675).
  * Install API/tmp symlink (Closes: #858674).
    Thanks, Daniel Richard G.
  * New symlinks to make "zm/api" work without webroot rewriting.
  * New upstream patch to disable TELEMETRY (GDPR compliance).
  * New upstream patch to fix WEB_EVENT_DISK_SPACE type.
    !! It might be necessary to run `zmupdate.pl -f`.
  * Depends += "php-apcu".
  * README.Debian: added note about configuring time zones.
  * Use `dh_linktree` only to un-bundle "fonts-glewlwyd".
  * Use symlinked system "cakephp"; maintscript += "dir_to_symlink".
  * New uscan/watch system to get submodules as MUT components.
  * Re-introduced Crud submodule as multi upstream tarball (MUT) component;
    (Closes: #877452).
  * New upstream patch for Crud compatibility with PHP-7.2;
    Thanks, Andrew Bauer.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 04 Jul 2018 03:57:31 +1000

zoneminder (1.30.4+dfsg-3) unstable; urgency=medium

  * New upstream patch to fix FTBFS with glibc_2.26 (Closes: #887968).
  * removed obsolete applied-upstream patch.
  * patchworks: restored Bug-Debian links.
  * Undo damage done by `wrap-and-sort`.
  * debhelper & compat to version 11.
  * Standards-Version: 4.1.4.
  * copyright corrections.
  * Vcs URLs to Salsa.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 01 Jul 2018 18:48:56 +1000

zoneminder (1.30.4+dfsg-2) unstable; urgency=medium

  * Prevent FTBFS with GCC 7. (Closes: #853717)
  * Correct example /etc/fstab entries in README.Debian.gz. (Closes: #858673)

 -- Chris Lamb <lamby@debian.org>  Mon, 14 Aug 2017 10:06:57 -0700

zoneminder (1.30.4+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #854272, #854733)
    - Drop requirement that the submodules exist in the orig tarball to
      prevent FTBFS.
    - Correct spelling errors in manpages.

  * debian/*:
    - Move from packaging just the debian/ directory to a standard
      gbp-buildpackage workflow, dropping debian/gbp.conf.
    - Move all patches to gbp-pq with topic directories to split "for
      upstream" and Debian-specific patches.
    - Drop unused sections of debian/copyright.
    - Add Documentation key to systemd service file.
    - Update debian/watch.

  * debian/control:
    - Move from mysql-{client,server} to default-mysql-{client,server}
      dependencies. (Closes: #848455)
    - Add missing Depends on php-gd. (Closes: #870140)
    - Use "(documentation)" suffix instead of separate short description.
    - Add missing depends on lsb-base (>= 3.0-6) for /lib/lsb/init-functions.
    - Update Homepage field to HTTPS.
    - Add myself to Uploaders.
    - Bump Standards-Version to 4.0.0.
    - wrap-and-sort -sa

  * debian/rules:
    - Tidy file, including removing some unnecessary and/or superfluous
      comments.
    - Add note why we don't ship pre-generated salts.
    - Sphinx obeys the SOURCE_DATE_EPOCH environment now, so setting
      build_date manually is not necessary.
    - Use find | xargs to delete to get verbose deletion for free.

 -- Chris Lamb <lamby@debian.org>  Fri, 04 Aug 2017 21:06:10 -0400

zoneminder (1.30.0+dfsg-2) unstable; urgency=medium

  * postrm: remove "/etc/zm/core.php" on purge (Closes: #838669).
  * Build-Depends: switch to "default-libmysqlclient-dev" (Closes: #845917).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 10 Dec 2016 13:20:34 +1100

zoneminder (1.30.0+dfsg-1) unstable; urgency=medium

  * New upstream release [July 2016].
  * Do not modify shipped "core.php" (Closes: #831984).
    Thanks, Chris Lamb and Andreas Beckmann.
  * Removed obsolete/broken "zmstreamer.8" symlink.
  * Tightened versioned dependency on "debhelper".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 31 Jul 2016 20:24:37 +1000

zoneminder (1.30.0~rc2+dfsg-1) unstable; urgency=medium

  * New upstream pre-release [July 2016].
    + fixed FTBFS with GCC-6 (Closes: #812026).
  * Depends:
    + libclass-std-fast-perl
    + libdata-dump-perl
    + libdata-uuid-perl
    + libdigest-sha-perl
    + libio-socket-multicast-perl
    + libsoap-wsdl-perl
    + libsys-cpu-perl
    + libsys-meminfo-perl
  * Patches:
    - PHP7.patch
    + reproducible_build.patch (Closes: #830979)
      Thanks, Chris Lamb.
  * watch: updated and converted to format version 4.
  * Standards-Version: 3.9.8.
  * Corrected Vcs-Git URL.
  * Suppressed ONVIF man page warnings "manpage-has-bad-whatis-entry".

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 13 Jul 2016 23:18:26 +1000

zoneminder (1.29.0+dfsg-2) unstable; urgency=medium

  * Fixed FTBFS with dpkg-buildpackage -A (Closes: #819843).
  * Default to PHP7 with PHP5 alterenatives (Closes: #821671).
    + New "PHP7.patch".
  * Build-Depends:
    - cakephp (>= 2.6.3), cakephp (<< 3.0.0~)
    + cakephp (>= 2.8.0), cakephp (<< 3.0.0~)
  * Depends:
    - php5-mysql
    + php-mysql | php5-mysql
  * Recommends:
    - libapache2-mod-php5 | php5-fpm
    + libapache2-mod-php | php-fpm | libapache2-mod-php5 | php5-fpm
  * dbgsym-migration: dropped -dbg package.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 07 May 2016 17:52:25 +1000

zoneminder (1.29.0+dfsg-1) unstable; urgency=low

  * New upstream release [February 2016] (Closes: #788317, #770851).

  [ Dmitry Smirnov <onlyjob@debian.org> ]
  * copyright/Files-Excluded += "onvif/*" due to licensing uncertainty.
  * Fixed FTBFS when built with dpkg-buildpackage -A (Closes: #806126).
  * FFmpeg 2.9 support. Thanks, Andreas Cadhalpun. (Closes: #803850).
  * Use "ffmpeg" instead of "avconv":
    + "libav_path.patch" replaced with "default_ffmpeg_path.patch".
  * zoneminder/Depends:
    - perl-modules (package-relation-with-perl-modules)
    - libav-tools
  * zoneminder/Recommends:
    + ffmpeg | libav-tools
  * Updated Vcs URLs.
  * Build/install new man pages.
  * Removed obsolete lintian-overrides.
  * README: grant "index" right to DB user.
  * systemd: start after MySQL but do not require the latter.
  * Added new patch with spelling corrections.
  * Removed obsolete patches:
    - 783.patch
    - 980-fix-image-size.patch
    - cmake-fix-confpath.patch
    - cmake.patch
    - cmake-gnutls.patch
    - fix-html-export.patch
    - format-hardening.patch
    - libv4l1-videodev.h.patch
    - pod_man_fixes.patch
    - pod_name_fixes.patch
    - pod_zmupdate-to-pod2usage.patch
    - respect-privacy.patch
    - zmtrigger-plus.patch

  [ Vagrant Cascadian <vagrant@debian.org> ]
  * Remove myself from Uploaders.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 09 Feb 2016 15:40:32 +1100

zoneminder (1.28.1-8) unstable; urgency=medium

  * Patchworks:
    + New upstream "980-fix-image-size.patch".
    + New "default_cgi-path.patch" to correct default ZM_PATH_ZMS.
  * postinst: set "root" as group owner for "/var/log/zm" to silence
    logrotate warnings.
  * Minor correction to README.Debian.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 16 Aug 2015 19:19:50 +1000

zoneminder (1.28.1-7) unstable; urgency=medium

  * Build-Depends += "cakephp (<< 3.0.0~)";
    Zoneminder is not compatible with latest CakePHP.
  * Handle conffile removal from maintscript.
  * rules: build man pages reproducibly.
  * gbp.conf: renamed old style config section [git-dch] to [dch].
  * README
    + added instructions to update owner of the "/etc/zm/zm.conf"
      (Closes: #789327).
    + zmupdate.pl needs CREATE rights.
    + added note about required number of "fcgiwrap" workers.
  * New upstream patch: "zmtrigger-plus.patch".

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 20 Jul 2015 16:30:15 +1000

zoneminder (1.28.1-6) unstable; urgency=low

  * New "zoneminder-doc" and "zoneminder-dbg" packages.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 19 Apr 2015 14:50:41 +1000

zoneminder (1.28.1-5) unstable; urgency=low

  * Move handling of "/var/run/zm" and "/tmp/zm" from .service into .tmpfile.
    Let dh_installinit do the job. Thanks, Andrew Bauer.
  * Use dh_apache2 to install Apache conf file; remove old conf and symlink.
  * Promote "libapache2-mod-php5 | php5-fpm" to Recommends.
  * Build-Depends:
    + dh-linktree
    + cakephp (>= 2.6.3)
    + libjs-jquery
    + libjs-mootools
  * Depends:
    - libjs-jquery
    - libjs-mootools
  * Build-time replace bundled CakePHP with system one using "dh-linktree".
  * Use "dh-linktree" to handle mootools and jquery symlinks.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 19 Apr 2015 11:45:01 +1000

zoneminder (1.28.1-4) unstable; urgency=low

  * New patch to fix HTML export with USE_DEEP_STORAGE (closes: #723706).
  * New "783.patch" to describe potential data loss in ZM_USE_DEEP_STORAGE.
  * New patch to change default date format to region-neutral ISO notation
    with time zone.
  * Build sphinx documentation:
    + Install "zoneminder.1" man page.
    + Build-Depends += "python-sphinx | python3-sphinx"
    + Added commented "zoneminder-doc" package.
    + Added "docs.patch" to unlink distro-specific installation docs.
  * rules:
    + set ZM_CONTENTDIR, ZM_SOCKDIR and ZM_TMPDIR.
    + remove mistakengly installed Perl module templates.
  * Updated startup scripts to create ZM_TMPDIR.
  * Hurd improvements:
    + New patch to add PATH_MAX definitions.
    + Build without MMAP support on Hurd.
    + libsys-mmap-perl [!hurd-any].

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 06 Apr 2015 18:18:55 +1000

zoneminder (1.28.1-3) unstable; urgency=low

  * Updated Apache2 and nginx configuration templates to support CGI.
  * Updated README.Debian to document cgi-bin setup.
  * Removed "/usr/share/zoneminder/www/cgi-bin" symlink.
  * Added "apache2.patch" to correct Apache2 site configuration example.
  * control: Suggests += "fcgiwrap".
  * rules: added dh_systemd overrides to prevent automatic service
    activation and start.
  * Added note about manual service activation to README.Debian
    (Closes: #781733).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 02 Apr 2015 23:20:20 +1100

zoneminder (1.28.1-2) unstable; urgency=low

  * Removed word "Linux" from short package description.
  * Build-Depends: do not require "libv4l-dev" on Hurd i.e. [!hurd-any].
  * Added run-time Perl Depends:
     + libdbd-mysql-perl
     + libimage-info-perl
     + libmodule-load-conditional-perl
     + libnet-sftp-foreign-perl
     + liburi-encode-perl
  * Prepare for package split: added commented "libzoneminder-perl"
    and "zoneminder-dbg" packages to "debian/control".
  * rules: do not install worthless ".packlist" file.
  * Updated "libv4l1-videodev.h.patch" to fix v4lv1 detection in CMake.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 02 Apr 2015 13:25:19 +1100

zoneminder (1.28.1-1) unstable; urgency=low

  [ Dmitry Smirnov <onlyjob@debian.org> ]
  * New upstream release [February 2015].
  * Upload to unstable.
  * Disabled automatic database upgrades: post(inst|rm) scripts no longer
    touch database or do unexpected stuff (Closes: #779254).
    See README.Debian for details.
  * Updated installation paths:
    + /usr/share/zoneminder --> /usr/share/zoneminder/www
    + /usr/lib/cgi-bin --> /usr/lib/zoneminder/cgi-bin
  * Added logrotate config (Closes: #544826).
    Thanks, Alberto Reyes.
  * Native systemd service; "--with systemd" added to dh.
  * Build with CMake instead of autoconf; rules clean-up.
  * Build with all hardening.
  * Build and install "zmupdate.pl.1" man page.
  * Added nginx/php5-fpm configuration example.
  * Install upstream "apache.conf" example.
  * Described setup of Zoneminer web site and database in README.Debian.
  * Install "/etc/zm/zm.conf" with tighter permissions.
  * Added TODO.Debian.
  * Added "debian/clean"; "debian/gbp.conf"; bug-presubj.
  * Remove bundled Cake tests to take ~5 MB off big-usr-share.
  * Standards-Version: 3.9.6; compat/debhelper to version 9.
  * Vcs links to new git repository at collab-maint.
  * Build-Depends:
    + dh-systemd
    + libgcrypt11-dev --> libgcrypt-dev
    + libcurl4-gnutls-dev
    + libvlc-dev
    + policykit-1 (required by "zmsystemctl.pl")
    - dh-autoreconf, autoconf, automake
  * Depends:
    - apache2
    - libapache2-mod-php5 (moved to Suggests)
    - libpcre3 (invalid)
    - libmodule-load-perl (obsolete; replaced with perl-modules)
    - libarchive-tar-perl (obsolete; replaced with perl-modules)
    - mysql-server (moved to Recommends, Closes: #759504).
    - php5
    + libav-tools
    + libjs-jquery  (replaces bundled component)
    + libjs-mootool (replaces bundled component)
    + libjson-any-perl (Closes: #690803).
    + perl-modules (Closes: #745819).
  * Recommends:
    + apache2 | httpd
    + mysql-server | virtual-mysql-server (Closes: #732874).
  * Suggests:
    + libapache2-mod-php5 | php5-fpm
    + logrotate
  * Refreshed, renamed and re-ordered patches; added DEP-3 headers.
  * Removed "vendor_perl" patch (applied-upstream).
  * New patches:
    + cmake-fix-confpath.patch
    + cmake-gnutls.patch
    + cmake-nossl.patch
    + cmake.patch
    + format-hardening.patch
    + pod_man_fixes.patch
    + pod_name_fixes.patch
    + pod_zmupdate-to-pod2usage.patch
  * Lintianisation (incomplete):
    - extra-license-file
    - init.d-script-missing-lsb-description
    - init.d-script-does-not-source-init-functions
    - privacy-breach-generic
    - package-contains-empty-directory
    - manpage-has-errors-from-pod2man
    - manpage-has-bad-whatis-entry
    - quilt-patch-missing-description
    - no-dep5-copyright
  * Lintian-overrides:
    + unusual-interpreter usr/bin/zmsystemctl.pl #!/usr/bin/pkexec
    + script-not-executable usr/share/zoneminder/www/api/*
    + script-with-language-extension usr/bin/*.pl
    + source-is-missing web/tools/mootools/mootools-*-yc.js
    + source-is-missing web/skins/*/js/jquery-1.4.2.min.js
    + source-contains-prebuilt-javascript-object
  * Renamed files in "debian".
  * watch: dfsg repacksuffix and dversionmangle.
  * "debian/copyright" to Copyright-Format-1.0.
  * Set myself as new Maintainer (Closes: #760314).

  [ Vagrant Cascadian <vagrant@debian.org> ]
  * Removed obsolete DM-Upload-Allowed flag.
  * Update debian/watch to use tarballs from github.
  * Add Build-Depends on libgcrypt11-dev (Closes: #745819).
  * Use canonical alioth Vcs-Hg URL.
  * debian/control: Add Build-Depends: libpolkit-gobject-1-dev.
  * Removed configure flag "--enable-crashtrace=no", which is no longer
    present upstream.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 31 Mar 2015 15:11:13 +1100

zoneminder (1.26.5-3.1) experimental; urgency=low

  * Non-maintainer upload.
  * Add libav10.patch and compile against libav10 (Closes: #739461)

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 19 Mar 2014 00:31:22 +0000

zoneminder (1.26.5-3) unstable; urgency=low


  * Previous release still didn't build on PPC - this has been corrected.
    (Closes: #736516)

 -- Peter Howard <pjh@northern-ridge.com.au>  Tue, 4 Feb 2014 02:02:10 +1000

zoneminder (1.26.5-2) unstable; urgency=low

  * Remove dependency on ffmpeg
    (Closes: #721161)

  * Builds again on non-x86 target architectures.

 -- Peter Howard <pjh@northern-ridge.com.au>  Thu, 23 Jan 2014 01:02:10 +1000

zoneminder (1.26.5-1) unstable; urgency=low

  * New upstream version
    (Closes: #694131)
  * Change Build-Depends on libgnutls-dev to libgnutls-openssl-dev
    (Closes: #731560)
 -- Peter Howard <pjh@northern-ridge.com.au>  Tue, 17 Dec 2013 01:02:10 +1000

zoneminder (1.25.0-4) unstable; urgency=high

  * Add CVE-2013-0232 patch
    [SECURITY] CVE-2013-0232: Shell escape commands with untrusted content.
    Thanks to James McCoy <jamessan@debian.org> (Closes: #698910)
    Thanks also to Salvatore Bonaccorso <carnil@debian.org>

 -- Peter Howard <pjh@northern-ridge.com.au>  Tue, 12 Jun 2013 12:02:10 +1000

zoneminder (1.25.0-3) unstable; urgency=low

  * debian/rules: Export CFLAGS, CPPFLAGS, CXXFLAGS and LDFLAGS, to ensure
    hardening build flags are enabled.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 28 Aug 2012 12:10:03 -0700

zoneminder (1.25.0-2) unstable; urgency=low

  [ Vagrant Cascadian ]
  * Add a patch to disable checking for updated versions by default, as
    upgrades should happen through package management.
  * Use dpkg-buildflags in debian/rules to set default compiler flags.
  * Ensure zoneminder is stopped before starting (Closes: #657407).

  [ Peter Howard ]
  * Fix postinst to add permission for table creation during upgrade
    (Closes: #657407).

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 23 Aug 2012 12:40:34 -0700

zoneminder (1.25.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-4.7": add patch Fix-FTBFS-with-gcc-4.7 from Cyril
    Brulebois: fix missing <unistd.h> includes.
    (Closes: #667428)

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 May 2012 17:02:21 +0200

zoneminder (1.25.0-1) unstable; urgency=low

  * Fix typo in libv4l1-videodev.h patch that caused v4l1 support to be
    dropped.
  * Fail to build if version in postinst doesn't match upstream version.
  * Add Build-Depends: libavdevice-dev to fix MPEG streaming (Closes: #515558).
  * debian/rules: Convert to using debhelper overrides.
  * Set debian/compat to 7.
  * Simplify debian/watch file.
  * Refresh debian/patches/use_libjs-mootools.
  * Refresh debian/patches/libv4l1-videodev.h.
  * Remove dependencies on php4 and related packages.
  * Remove build-dependencies on libmysqlclient14-dev and
    libmysqlclient15-dev.
  * Update Build-Depends to use libjpeg-dev instead of libjpeg62-dev
    (Closes: #647114).
  * Add patch to fix build by testing for C headers rather than C++ headers.
    Thanks to Ryan Niebur. (Closes: #654230)
  * Add a patch to fix build problems caused by API changes in libav 0.8.
    Thanks again to Ryan Niebur. (Closes: #654230)

 -- Vagrant Cascadian <vagrant@debian.org>  Mon, 16 Jan 2012 11:58:05 -0800

zoneminder (1.24.4-1) unstable; urgency=low

  [ Peter Howard ]
  * Initial release of 1.24.4 (Closes: #634985).
    - Fix 32/64-bit type declarations (Closes: #614404).
  * Update patches.

  [ Vagrant Cascadian ]
  * Add patch to fix FTBFS by using libv4l1-videodev.h from libv4l-dev.
    Thanks to Andreas Metzler for reporting the issue.
    (Closes: #619813).
  * Document adding the www-data user to the video group in README.Debian.
    (Closes: #611324)
  * Depend on libsys-mmap-perl to enable mapped memory support.
    (Closes: #607331)
  * Update libjs-mootools patch to use -nc variants (Closes: #635075).
  * Depend on javascript-common, to ensure that /javascript is available in
    the web server.
  * Set the upstream version in postinst at build time.
  * Use dh-autoreconf to properly clean up autogenerated files during build.
  * Add Vcs-HG to debian/control.
  * Add Build-Depends: libv4l-dev, libbz2-dev, dh-autoreconf, libsys-mmap-perl.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 24 Jul 2011 16:44:30 +0200

zoneminder (1.24.2-9) unstable; urgency=low

  * Apply patch from Ubuntu to fix FTBFS with ffmpeg 0.6:
    - Add -D__STDC_CONSTANT_MACROS to CPPFLAGS (closes: 614080).
  * Update Standards-Version to 3.9.1, no changes necessary.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 20 Feb 2011 23:43:02 -0800

zoneminder (1.24.2-8) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Apply patch to fix V4L2 cameras without crop support (closes: #608790).
    Thanks to piratebab.
  * Add preinst script which aborts if dangerous symlinks exist.
    (closes: #608793)

  [ Peter Howard ]
  * Added to README.Debian with info about images and events directories.
    (closes: #608793)

 -- Vagrant Cascadian <vagrant@debian.org>  Sat, 15 Jan 2011 19:39:26 -0800

zoneminder (1.24.2-7) unstable; urgency=medium

  * Do not set ownership of /var/cache/zoneminder when upgrading, which fixes a
    regression causing upgrades to take inordinately long with large
    installations (closes: #597040).

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 17 Sep 2010 11:24:41 -0700

zoneminder (1.24.2-6) unstable; urgency=low

  * Only remove database on purge. This requires only creating the database if
    it doesn't already exist, and upgrading the database only if the database
    is an older version (closes: #497107).

  * Do not prompt the user on database upgrades by using the --nointeractive
    flag when calling zmupdate.pl from postinst (closes: #595902).

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 10 Sep 2010 10:06:06 -0700

zoneminder (1.24.2-5) unstable; urgency=low

  [ Peter Howard ]
  * Add zip dependency
    (closes: #494261)
  * Add debian/watch file
    (closes: #545552)
  * Use packaged libjs-mootools
    (closes: #585590)
  * Miscellaneous cleanups

  [ Vagrant Cascadian ]
  * Add vagrant@debian.org as uploader
  * Update Standards-Version to 3.9.0, no changes necessary.

 -- Vagrant Cascadian <vagrant@debian.org>  Fri, 23 Jul 2010 18:12:50 -0500

zoneminder (1.24.2-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "package removed, processes still running": apply patch to
    debian/postinst by Vagrant Cascadian: use invoke-rc.d and run
    mysql-related actions only when mysql is running (closes: #583648).

 -- gregor herrmann <gregoa@debian.org>  Thu, 01 Jul 2010 19:47:10 +0200

zoneminder (1.24.2-4) unstable; urgency=high
  * Update init.d to list mysql dependency
    (closes: #583505)
  * Change depenency from libmime-perl to libmime-tools-perl
    (closes: #585589)
  * Problems in changelog format fixed
    (closes: #585592)
  * Fix debian-rules-ignores-make-clean-error
    (closes: #585593)
 -- Peter Howard <pjh@northern-ridge.com.au>  Mon, 14 jun 2010 15:02:10 +1000

zoneminder (1.24.2-3) unstable; urgency=high
  * Changes symbols to build with libjpeg8
    (closes: #565326, #568327)
  * Note: location of all perl files should have been fixed in previous release
    (closes: #553096)
 -- Peter Howard <pjh@northern-ridge.com.au>  Mon, 26 apr 2010 15:02:10 +1000

zoneminder (1.24.2-2) unstable; urgency=high

  * Remove custom perl parth from zmpkg.pl, fix location of manpages.
    (closes: #551746, #553092)
  * Fix GCC4.4 bug
    (closes: #531717)
  * Fix potential bug in postinst script

 -- Peter Howard <pjh@northern-ridge.com.au>  Sat, 14 Nov 2009 15:02:10 +1000

zoneminder (1.24.2-1) unstable; urgency=high

  * Initial release of zoneminder 1.24.2
 -- Peter Howard <pjh@northern-ridge.com.au>  Fri, 11 Sep 2009 07:02:50 +1000

zoneminder (1.24.1-1) unstable; urgency=high

  * Initial release of zoneminder 1.24.1, closing CVE-2008-3882,
    CVE-2008-3881, CVE-2008-3880
    (closes: #497640)
  * Change syslog dependency to rsyslog.
    (closes: #526918)
  * Add missing perl depenency.
  * Restore patch to disable "check for updates" by default.
  * Removed spurious '$' in init script.
    (closes: #486064)
  * Change permission of zm.conf from 0600 to 0400 for CVE-2008-6755
    (closes: #528252)
 -- Peter Howard <pjh@northern-ridge.com.au>  Sat, 16 May 2009 07:02:50 +1000

zoneminder (1.23.3-4) unstable; urgency=high

  * update to get it building with latest unstable. Thanks to waldi@debian.org
    (closes: #517569)
 -- Peter Howard <pjh@northern-ridge.com.au>  Thu, 16 Apr 2009 01:02:50 +1000

zoneminder (1.23.3-3) unstable; urgency=high

  * ffmpeg confirmed  working
    (closes: #475145)
  * Fix upgrade problem intrudouced in 1.23.3-1
    (closes: #481637)
  * Include libmime-lite-perl in dependencies
    (closes: #486312)
 -- Peter Howard <pjh@northern-ridge.com.au>  Thu, 18 Sep 2008 01:02:50 +1000

zoneminder (1.23.3-2) unstable; urgency=high

  * ffmpeg finally working?

 -- Peter Howard <pjh@northern-ridge.com.au>  Wed, 13 Aug 2008 01:02:50 +1000

zoneminder (1.23.3-1) unstable; urgency=high

  * Initial version for 1.23.3 - security fix.
    (closes: #479034)

 -- Peter Howard <pjh@northern-ridge.com.au>  Wed, 19 Mar 2008 01:02:50 +1000

zoneminder (1.23.2-2) unstable; urgency=low

  * Update to init.d
    (closes: #468856)
  * Add dependency on logging daemon
    (closes: #471277)

 -- Peter Howard <pjh@northern-ridge.com.au>  Wed, 19 Mar 2008 01:02:50 +1000

zoneminder (1.23.2-1) unstable; urgency=low

  * Initial version for 1.23.2
    (closes: #464152)
  * Zoneminder 1.23.2 upstream includes fix for GCC 4.3
    (closes: #454980)
  * Includes ffmpeg patch by Alexander Kushnirenko <kushnir@uni-protvino.ru>

 -- Peter Howard <pjh@northern-ridge.com.au>  Sat, 01 Mar 2008 16:02:50 +1000

zoneminder (1.22.3-10) unstable; urgency=low

  * Fix bug introduced in -9 where perl is put under /usr/local
    (closes: #457507)

 -- Peter Howard <pjh@northern-ridge.com.au>  Mon, 24 Dec 2007 16:02:50 +1000

zoneminder (1.22.3-9) unstable; urgency=low

  * Starting zoneminder via init script now  invokes "zmfix -a"
    (closes: #481637)
  * Change apache2-mpm-prefork dependency to apache2
  * Temp dir for export under /var/cache/zoneminder (but linked back to
    /usr/share/zoneminder for now)
  * Redo use of gnutls rather than openssl for md5 hashes

 -- Peter Howard <pjh@northern-ridge.com.au>  Mon, 10 Dec 2007 16:02:50 +1000

zoneminder (1.22.3-8) unstable; urgency=low

  * Build now includes libpcre3
    (closes: #437533)
  * "Monitor Presets" patch now applied to package during build.

 -- Peter Howard <pjh@northern-ridge.com.au>  Sat, 18 Aug 2007 14:35:23 +1000

zoneminder (1.22.3-7) unstable; urgency=low

  * Turn off debug trace and crash dump on build
    (closes:#414857,#414891)
  * Additional perl libraries added in dependencies
    (closes:#416291)
  * Change preferred PHP version from 4 to 5
 -- Peter Howard <pjh@northern-ridge.com.au>  Sun, 29 Jul 2007 15:11:13 +1000

zoneminder (1.22.3-6) unstable; urgency=low

  * Removed a similar bash only statment from zmpkg.pl
    (closes:414882)

 -- Peter Howard <pjh@northern-ridge.com.au>  Sat, 14 Apr 2007 11:46:56 +1000

zoneminder (1.22.3-5) unstable; urgency=low

  * Installs with "phone home" feature turned off by default, and permissions
    on /etc/zm/zm.conf fixed (now the 0600 it s hould be)
    (closes:415349)
  * Removed "stupid bash-ism" on mysqld check in postinst file.

 -- Peter Howard <pjh@northern-ridge.com.au>  Fri,  6 Apr 2007 15:50:00 +1000

zoneminder (1.22.3-4) unstable; urgency=low

  * Put libmysqlclient-15-dev in front of -14-dev so sbuild works
    (closes: #414410)

 -- Peter Howard <pjh@northern-ridge.com.au>  Mon, 12 Mar 2007 11:38:56 +1100

zoneminder (1.22.3-3) unstable; urgency=low

  * Clean up of postinstall, postrm ; user "zm" definitely was a mistake
  * Also in postinstall: check and start MySQL if it's not running.
  * init.d script now checks if zoneminder isn't running and still returns 0
    (which helps uninstalling)
  * Addition of php5 dependency options as well as php4.

 -- Peter Howard <pjh@northern-ridge.com.au>  Mon, 26 Feb 2007 10:40:52 +1100

zoneminder (1.22.3-2) unstable; urgency=low

  * Added zmuser in the mysql creation; this should fix the install problem
    for people, but needs to be cleaned up (in -3)

 -- Peter Howard <pjh@northern-ridge.com.au>  Fri, 16 Feb 2007 14:16:03 +1100

zoneminder (1.22.3-1) unstable; urgency=low

  * Initial Version. (closes: #248393)
  * Patched out use of openssl; uses gnutls instead for MD5 hashes.
  * Removed MakeMaker-inserted Perl licensing (with authors permission) in
    various scripts; replaced with GPL.

 -- Peter Howard <pjh@northern-ridge.com.au>  Wed,  7 Feb 2007 14:09:01 +1100
